Redmine - Defect #2670

BotsFilterPlugin should not list Firefox
2009-02-05 00:37 - micah anderson

Status: Closed
Priority: Normal
Assignee:
Description

The BotsFilterPluin, located here: http://www.redmine.org/wiki/redmine/BotsFilterPlugin lists Firefox as one of its User-Agents!

It looks like if the user-agent contains any of those strings, and the controller (approx.eq. URL first component) is one of a selected
set, then it returns 404 and an empty page, but one of those User-Agents is Firefox, when it shouldn't be.

On another note, returning a 404 seems like the wrong thing to do, i can see returning a 403 (Not Authorized), but 404 is a positive

assertion that something doesn't exist. at a minimum it should display some text saying what it is doing rather than just a blank

page.

History

#1 - 2009-02-05 20:32 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Firefox was added for testing purpose and not removed before release. It's now fixed.

A 403 response with a message is now sent too.

#2 - 2011-10-25 13:05 - Lester Martel
SPAM
